Loading...
Searching...
No Matches
fastjet::RectangularGrid Class Reference

Class that holds a generic rectangular tiling. More...

`#include <fastjet/RectangularGrid.hh>`

Inheritance diagram for fastjet::RectangularGrid:
[legend]
Collaboration diagram for fastjet::RectangularGrid:
[legend]

## Public Member Functions

| RectangularGrid (double rapmax_in, double cell_size)
| ctor with simple initialisation
| RectangularGrid (double rapmin_in, double rapmax_in, double drap_in, double dphi_in, Selector tile_selector=Selector())
| ctor with more control over initialisation
| RectangularGrid ()
| dummy ctor (will give an unusable grid)
virtual int | n_tiles () const override
| returns the total number of tiles in the tiling; valid tile indices run from 0 ... n_tiles()-1;
virtual int | n_good_tiles () const override
| returns the number of tiles that are "good"; i.e.
virtual int | tile_index (const PseudoJet &p) const override
| returns the index of the tile in which p is located, or -1 if p is outside the tiling region
virtual bool | tile_is_good (int itile) const override
| returns whether a given tile is good
virtual double | tile_area (int) const override
| returns the area of tile itile.
virtual double | mean_tile_area () const override
| returns the mean area of tiles.
virtual std::string | description () const override
| returns a textual description of the grid
double | rapmin () const
| returns the minimum rapidity extent of the grid
double | rapmax () const
| returns the maxmium rapidity extent of the grid
double | drap () const
| returns the spacing of the grid in rapidity
double | dphi () const
| returns the spacing of the grid in azimuth
virtual bool | is_initialised () const override
| returns true if the grid is in a suitably initialised state
Public Member Functions inherited from fastjet::TilingBase
virtual bool | all_tiles_good () const
| returns whether all tiles are good
virtual bool | all_tiles_equal_area () const
| returns true if all tiles have the same area
bool | is_initialized () const
virtual | ~TilingBase ()
| virtual destructor

## Detailed Description

Class that holds a generic rectangular tiling.

Definition at line 88 of file RectangularGrid.hh.

## Constructor & Destructor Documentation

## RectangularGrid() [1/3]

fastjet::RectangularGrid::RectangularGrid | ( | double | rapmax_in,
|  | double | cell_size )

inline

ctor with simple initialisation

Parameters

  rapmax | the maximal absolute rapidity extent of the grid
  cell_size | the grid spacing (equivalently, cell size)

Definition at line 93 of file RectangularGrid.hh.

## RectangularGrid() [2/3]

fastjet::RectangularGrid::RectangularGrid | ( | double | rapmin_in,
|  | double | rapmax_in,
|  | double | drap_in,
|  | double | dphi_in,
|  | Selector | tile_selector = Selector() )

inline

ctor with more control over initialisation

Parameters

  rapmin | the minimum rapidity extent of the grid
  rapmax | the maximum rapidity extent of the grid
  drap | the grid spacing in rapidity
  dphi | the grid spacing in azimuth
  tile_selector | optional (geometric) selector to specify which tiles are good; a tile is good if a massless 4-vector at the center of the tile passes the selection

Definition at line 108 of file RectangularGrid.hh.

## RectangularGrid() [3/3]

fastjet::RectangularGrid::RectangularGrid | ( |  | ) |

dummy ctor (will give an unusable grid)

Definition at line 40 of file RectangularGrid.cc.

## Member Function Documentation

## n_tiles()

virtual int fastjet::RectangularGrid::n_tiles | ( |  | ) | const

inline override virtual

returns the total number of tiles in the tiling; valid tile indices run from 0 ... n_tiles()-1;

Implements fastjet::TilingBase.

Definition at line 120 of file RectangularGrid.hh.

## n_good_tiles()

virtual int fastjet::RectangularGrid::n_good_tiles | ( |  | ) | const

inline override virtual

returns the number of tiles that are "good"; i.e.

there is scope for having tiles that, for whatever reason, should be ignored; there are situations in which having "non-good" tiles may be the simplest mechanism to obtain a tiling with holes in it

Reimplemented from fastjet::TilingBase.

Definition at line 122 of file RectangularGrid.hh.

## tile_index()

int fastjet::RectangularGrid::tile_index | ( | const PseudoJet & | p | ) | const

override virtual

returns the index of the tile in which p is located, or -1 if p is outside the tiling region

Implements fastjet::TilingBase.

Definition at line 55 of file RectangularGrid.cc.

## tile_is_good()

virtual bool fastjet::RectangularGrid::tile_is_good | ( | int | itile | ) | const

inline override virtual

returns whether a given tile is good

Reimplemented from fastjet::TilingBase.

Definition at line 130 of file RectangularGrid.hh.

## tile_area()

virtual double fastjet::RectangularGrid::tile_area | ( | int |  | ) | const

inline override virtual

returns the area of tile itile.

Reimplemented from fastjet::TilingBase.

Definition at line 135 of file RectangularGrid.hh.

## mean_tile_area()

virtual double fastjet::RectangularGrid::mean_tile_area | ( |  | ) | const

inline override virtual

returns the mean area of tiles.

Implements fastjet::TilingBase.

Definition at line 140 of file RectangularGrid.hh.

## description()

string fastjet::RectangularGrid::description | ( |  | ) | const

override virtual

returns a textual description of the grid

Implements fastjet::TilingBase.

Reimplemented in fastjet::GridJetPlugin, and fastjet::GridMedianBackgroundEstimator.

Definition at line 121 of file RectangularGrid.cc.

## rapmin()

double fastjet::RectangularGrid::rapmin | ( |  | ) | const

inline

returns the minimum rapidity extent of the grid

Definition at line 146 of file RectangularGrid.hh.

## rapmax()

double fastjet::RectangularGrid::rapmax | ( |  | ) | const

inline

returns the maxmium rapidity extent of the grid

Definition at line 148 of file RectangularGrid.hh.

## drap()

double fastjet::RectangularGrid::drap | ( |  | ) | const

inline

returns the spacing of the grid in rapidity

Definition at line 150 of file RectangularGrid.hh.

## dphi()

double fastjet::RectangularGrid::dphi | ( |  | ) | const

inline

returns the spacing of the grid in azimuth

Definition at line 152 of file RectangularGrid.hh.

## is_initialised()

virtual bool fastjet::RectangularGrid::is_initialised | ( |  | ) | const

inline override virtual

returns true if the grid is in a suitably initialised state

Implements fastjet::TilingBase.

Definition at line 155 of file RectangularGrid.hh.

The documentation for this class was generated from the following files:

- include/fastjet/RectangularGrid.hh
- src/RectangularGrid.cc